/* ../../packages/app-core/src/components/Header/styles.css */
.Header {
  display: flex;
  gap: 20px;
  align-items: center;
}
.Header__logo {
  width: 100px;
  position: relative;
  top: 5px;
  left: -5px;
}
.Header__title {
  font-size: 48px;
  color: var(--color-text-primary);
  text-shadow: 0 0 6px rgba(255, 255, 255, 0.95), 0 0 42px rgba(255, 255, 255, 0.6);
}
.Header__version {
  font-size: 24px;
  opacity: 0.5;
  padding-left: 1em;
}

/* ../../packages/ui/src/tokens.css */
:root {
  --font-family-body:
    "Trebuchet MS",
    "Lucida Sans Unicode",
    "Lucida Grande",
    "Lucida Sans",
    Arial,
    sans-serif;
  --color-text-primary: #333;
  --color-accent: royalblue;
}

/* ../../packages/ui/src/Card/styles.css */
.Card {
  text-align: center;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 16px;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.1);
  width: 160px;
  background-color: rgba(255, 255, 255, 0.5);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}
.Card__image {
  display: block;
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
  padding: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 80px;
  height: 80px;
  & img {
    max-width: 100%;
    max-height: 100%;
  }
}
.Card__title {
  font-size: 1.25rem;
  font-weight: bold;
  cursor: pointer;
  color: var(--color-accent);
}
.Card__content {
  font-size: 1rem;
  color: var(--color-text-primary);
}

/* ../../packages/ui/src/DynamicList/styles.css */
.DynamicList {
  border: 2px solid rgba(255, 255, 255, 0.5);
  border-radius: 5px;
  height: 300px;
  overflow-y: auto;
  & ol {
    list-style: none;
    margin: 0;
    padding: 10px;
  }
}
.DynamicList__item {
  padding: 20px;
  margin-bottom: 10px;
  overflow-y: auto;
  background-color: rgba(0, 0, 0, 0.15);
  border-radius: 5px;
}
.DynamicList__item--visible {
  background-color: rgba(255, 255, 255, 0.5);
}
.DynamicList__trigger {
  display: inline-block;
  border: 0;
  margin: 20px 10px 10px 10px;
  border-radius: 20px;
  padding: 20px;
  background-color: rgba(0, 255, 255, 0.75);
}
.DynamicList__trigger--idle {
  cursor: pointer;
}
.DynamicList__trigger--loading {
  cursor: pointer;
  background-color: rgba(255, 255, 0, 0.75);
}
.DynamicList__trigger--error {
  cursor: pointer;
  background-color: rgba(255, 0, 0, 0.75);
}
.DynamicList__trigger--aborted {
  cursor: pointer;
  background-color: rgba(255, 165, 0, 0.75);
}
.DynamicList__trigger--done {
  background-color: rgba(0, 0, 0, 0.15);
  cursor: not-allowed;
}

/* ../../packages/app-core/src/components/ResourceCards/styles.css */
.ResourceCards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}
.ResourceCards__card-image {
  width: 80px;
  height: 80px;
  background-image: url("./landscape-IG2K36OD.svg");
  background-size: cover;
  background-position: center;
}

/* ../../packages/ui/src/theme.css */
body {
  font-family: var(--font-family-body);
}

/* ../../packages/app-core/src/styles.css */
body {
  background-image: url("./bg-pattern-N7FTSGH6.webp");
  background-size: cover;
}
.AppCore {
  border: 2px dashed rgba(255, 255, 255, 0.5);
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

/* src/index.css */
body {
  border: 3px solid rgba(255, 165, 0, 0.5);
  margin: 0;
  padding: 20px;
}
